# List domain keys

List all domain keys for your domain, including active/inactive and valid/invalid ones.

Endpoint: GET /v4/domains/{authority_name}/keys
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `authority_name` (string, required)
    The domain authority name you want to list the domain keys for. Must be a valid domain

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.signing_domain` (string, required)

  - `items.selector` (string, required)

  - `items.dns_record` (any)

  - `items.dns_record.is_active` (boolean, required)
    Indicates whether the DNS record is currently active

  - `items.dns_record.cached` (array, required)
    List of Mailguns cached values for the DNS record

  - `items.dns_record.name` (string)
    Name of the DNS record if applicable

  - `items.dns_record.priority` (string)
    Priority value for MX DNS records

  - `items.dns_record.record_type` (string, required)
    Type of DNS record such as MX TXT or CNAME

  - `items.dns_record.valid` (string, required)
    Indicates whether the DNS record is valid

  - `items.dns_record.value` (string, required)
    Expected value of the DNS record

## Response 401:

  - `401` (unknown)
    A 401 response

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 401 examples:

  - `Example` (unknown)

